devel/p5-Params-Validate - The NetBSD Packages Collection

Validate method/function parameters

The Params::Validate module provides a flexible system for validation
method/function call parameters.  The validation can be as simple
as checking for the presence of required parameters or as complex
as validating object classes (via isa) or capabilities (via can),
checking parameter types, and using customized callbacks to ensure
data integrity.

Build dependencies

devel/p5-Module-Build pkgtools/cwrappers

Runtime dependencies

devel/p5-Module-Implementation lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Params-Validate-1.30nb1.tgz
NetBSD 8.0earmv7hfp5-Params-Validate-1.29nb3.tgz
NetBSD 8.0earmv7hfp5-Params-Validate-1.30nb1.tgz
NetBSD 8.0i386p5-Params-Validate-1.29nb3.tgz
NetBSD 8.0i386p5-Params-Validate-1.30nb1.tgz
NetBSD 8.0powerpcp5-Params-Validate-1.29nb3.tgz
NetBSD 8.0powerpcp5-Params-Validate-1.30nb1.tgz
NetBSD 8.0powerpcp5-Params-Validate-1.30nb1.tgz
NetBSD 8.0powerpcp5-Params-Validate-1.30nb1.tgz
NetBSD 8.0x86_64p5-Params-Validate-1.29nb3.tgz
NetBSD 8.0x86_64p5-Params-Validate-1.30nb1.tgz
NetBSD 9.0aarch64p5-Params-Validate-1.30nb1.tgz
NetBSD 9.0aarch64p5-Params-Validate-1.29nb3.tgz
NetBSD 9.0aarch64p5-Params-Validate-1.30nb1.tgz
NetBSD 9.0alphap5-Params-Validate-1.30nb1.tgz
NetBSD 9.0alphap5-Params-Validate-1.29nb3.tgz
NetBSD 9.0alphap5-Params-Validate-1.30nb1.tgz
NetBSD 9.0earmp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0earmp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0earmp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0earmv6hfp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0earmv6hfp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0earmv6hfp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0earmv7hfp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0earmv7hfp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0earmv7hfp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0earmv7hfp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0i386p5-Params-Validate-1.29nb3.tgz
NetBSD 9.0i386p5-Params-Validate-1.30nb1.tgz
NetBSD 9.0i386p5-Params-Validate-1.30nb1.tgz
NetBSD 9.0m68kp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0m68kp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0m68kp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0m68kp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0mips64ebp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0mips64ebp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0mips64ebp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0mips64ebp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0mips64ebp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0mipselp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0mipselp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0mipselp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0mipselp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0powerpcp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0powerpcp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0powerpcp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0powerpcp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0sh3elp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0sh3elp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0sh3elp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0sh3elp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0sh3elp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0sparc64p5-Params-Validate-1.30nb1.tgz
NetBSD 9.0sparc64p5-Params-Validate-1.29nb3.tgz
NetBSD 9.0sparc64p5-Params-Validate-1.30nb1.tgz
NetBSD 9.0sparcp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0sparcp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0sparcp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0sparcp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0sparcp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0vaxp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0vaxp5-Params-Validate-1.29nb3.tgz
NetBSD 9.0vaxp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0vaxp5-Params-Validate-1.30nb1.tgz
NetBSD 9.0x86_64p5-Params-Validate-1.30nb1.tgz
NetBSD 9.0x86_64p5-Params-Validate-1.30nb1.tgz
NetBSD 9.0x86_64p5-Params-Validate-1.29nb3.tgz
NetBSD 9.0x86_64p5-Params-Validate-1.30nb1.tgz
NetBSD 9.0x86_64p5-Params-Validate-1.30nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.